# Curso prático de criação de scripts com Bash

## Objetivos

Este curso visa o desenvolvimento das habilidades e conhecimentos necessários para a criação de scripts utilizando o shell padrão do GNU/Linux, o Bash, e diversos utilitários da base do sistema.

## O curso

- De 18 de agosto a 15 de setembro de 2025.
- Serão 15 aulas práticas ao vivo (por vídeoconferência) ao longo de 5 semanas.
- Aulas de até 2h às segundas, quartas e sextas às 19:30h.
- Certificado de conclusão mediante avaliação prática.

## Material de apoio

- PDF do livro: [Pequeno Manual do Programador GNU/Bash](https://blauaraujo.com/downloads/pmpgb.pdf).
- Diversas playlists disponíveis no canal @debxp, no YouTube.

## Requisitos

- Disposição para aprender.
- Uma instalação de qualquer distribuição GNU/Linux.
- Conectividade e hardware para participar de videoconferências.

## Tópicos abordados

Entre outros...

- O que é o shell de sistemas Unix e GNU/Linux
- O que são comandos e como eles são executados
- Fluxos de dados e dispositivos de entrada e saída
- Variáveis, parâmetros e expansões do shell
- Operadores e operações lógicas e aritméticas
- Estruturas de repetição
- Estruturas e comandos condicionais
- Criação e uso de funções
- Casamentos de padrões de texto
- Expressões regulares
- Escrita e leitura de arquivos
- Filtragem de arquivos e fluxos de dados
- Interatividade e interfaces com o usuário
- Processos e informações do sistema

## Inscrições

De 8 de julho a 15 de agosto de 2025

## Investimento

- **À vista no PIX (chave: pix@blauaraujo.com):** R$250,00
- **[Parcelado em até 6x no cartão](https://link.picpay.com/p/1751921061686c31a57cbe8):** R$300,00 

## Como inscrever-se

Realize o pagamento da forma desejada e envie um e-mail para cursos@blauaraujo.com com as seguintes informações:

- Comprovante de pagamento
- Nome completo
- CPF
- Endereço completo com CEP

Em resposta, você receberá um e-mail de confirmação com as instruções para o acesso à primeira aula ao vivo.

## Dúvidas, casos especiais e outras informações

Envie um e-mail para: blau@debxp.org
